.ds FAM P
.nr PI 3n
.DA 2022\-11\-08
.TL
Nowave を使って木箱を動かす
.AU
\fRB\-3	情報二課\fP
.NH S 0
必要なもの
.PSPIC -R ./img/ish_qr.eps 1
.sp -1i-1em
.IP \(bu
SSH クライアントになれる端末
.RS
.IP \(ci
Windows なら TeraTerm とか RLogin とか
.IP \(ci
iPhone なら iSh とか（右 QR コード参照）
.RE
.IP \(bu
車そのもの
.RS
.IP \(ci
それはそう
.RE
.IP \(bu
タブレット
.RS
.IP \(ci
GNSS 初期化用
.RE
.NH 1
動かすまで
.IP 1.
車に乗っている Raspberry Pi に SSH でログインする
.RS
.IP \(ci
IP アドレス: \fC192.168.150.93\fP（3 階の Wi-Fi 経由のとき）
.IP \(ci
ユーザ名: \fCuser\fP
.IP \(ci
パスワード: \fCuser\fP
.RE
.IP 2.
最新版の Jeedo をビルドする
.RS
.IP \(ci
レポジトリのディレクトリは \(lq\fC\(ti/projects/jeedo/\fP\(rq
.DS L
.fam C
$ \fBcd \(ti/projects/jeedo/\fP
$ \fBgit status\fP\t\t\t\t# git のレポジトリか確かめる
$ \fBgit fetch\fP\t\t\t\t# リモートレポジトリと同期
$ \fBgit checkout\fP __________\t# 指定ブランチにチェックアウトする
$ \fBgit status\fP\t\t\t\t# ブランチ名を確かめる
$ \fBcd test\fP
$ \fBmake nowave\fP\t\t\t# バイナリをビルドする
.fam
.DE
.RE
.IP 3.
Nowave を再配置する
.RS
.IP \(ci
Nowave を再配置するディレクトリは \(lq\fC\(ti/\fP\(rq
.DS L
.fam C
$ \fBpwd\fP
/home/user/projects/jeedo/test
$ \fBls nowave\fP
nowave
$ \fBinstall nowave \(ti/\fP
$ \fBcd\fP
$ \fBpwd\fP
/home/user
$ \fBls nowave\fP
nowave
.fam
.DE
.RE
.IP 4.
経路情報を配置する
.RS
.IP \(ci
経路情報を格納するファイルは \(lq\fC\(ti/route.json\fP\(rq
.IP \(ci
すでに配置されているけど内容を覚えていない
.RE
.bp
.NH 1
実際に動かす
.IP 1.
外に行く
.RS
.IP \(ci
持ち物は｛ 車、タブレット、SSH クライアント ｝
.RE
.IP 2.
GNSS センサを初期化する
.RS
.IP \(ci
DGNSS で fix すると精度が良い
.RE
.IP 3.
自動実行スクリプトを実行する
.RS
.IP \(ci
自動実行スクリプトは \(lq\fC\(ti/boot.sh\fP\(rq
.DS L
.fam C
$ \fBsh \(ti/boot.sh\fP
.fam
.DE
.RE
.IP 4.
コンパスモジュールのキャリブレーション
.RS
.IP \(ci
カウントダウンされるまでぐるぐるする
.RE
.IP 5.
走行前カウントダウン
.RS
.IP \(ci
キャリブレーションが完了するとカウントダウンが始まる
.RE
.IP 6.
車が走りだす
.RS
.IP \(ci
しかし、Wi-Fi の接続が切れると死ぬので注意すること
.RE
.NH 1
実際に動かすときの注意
.IP \(bu
普通に動かすと Wi-Fi が切れて爆死するので（非常停止すらしない）注意する
.IP \(bu
これを回避するには、前章 5. の時点で
.BX Ctrl
+
.BX Z
を押下し、\fCbg; disown\fP を実行する
.IP \(bu
iSh で ssh を使うためには \fCapk add openssh\fP を実行する必要がある
